#
# spec file for package calligra-plan
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           calligra-plan
Version:        3.1.0
Release:        lp150.2.1
Summary:        Project Management Application
License:        GPL-2.0 and GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Office/Suite
Url:            http://www.calligra.org/
Source0:        http://download.kde.org/stable/calligra/%{version}/calligraplan-%{version}.tar.xz
# PATCH-FIX-UPSTREAM
Patch:          0001-Plan-fix-build-with-Qt-5.6.patch
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-filesystem
BuildRequires:  cmake(KChart)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KGantt)
BuildRequires:  cmake(KPropertyWidgets)
BuildRequires:  cmake(KReport)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5OpenGL)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      calligra5-plan
# some icons were part of the main calligra package before 3.1.0
Conflicts:      calligra < 3.1.0

%description
Plan is the project management application of the Calligra Suite.

%lang_package

%prep
%setup -q -n calligraplan-%{version}
%patch -p2

%build
%cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir}
%make_jobs

%install
%kf5_makeinstall -C build
%kf5_find_lang %{name}

%suse_update_desktop_file -r org.kde.calligraplan       Qt KDE Office ProjectManagement
%suse_update_desktop_file -r org.kde.calligraplanwork   Qt KDE Office ProjectManagement

# not needed
rm %buildroot/%{_kf5_libdir}/libkplato*.so %buildroot/%{_kf5_libdir}/libplan*.so

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%config %{_kf5_configdir}/calligra*rc
%{_kf5_bindir}/calligraplan
%{_kf5_bindir}/calligraplanwork
%{_kf5_libdir}/libkdeinit5_calligraplan*.so
%{_kf5_libdir}/libkplato*.so.*
%{_kf5_libdir}/libplan*.so.*
%{_kf5_appstreamdir}/org.kde.calligraplan.appdata.xml
%{_kf5_applicationsdir}/org.kde.calligraplan.desktop
%{_kf5_applicationsdir}/org.kde.calligraplanwork.desktop
%{_kf5_iconsdir}/hicolor/
%{_kf5_configkcfgdir}/calligraplan*.kcfg
%{_kf5_plugindir}/calligraplan/
%{_kf5_plugindir}/calligraplanworkpart.so
%{_kf5_sharedir}/calligraplan/
%{_kf5_sharedir}/calligraplanwork/
%{_kf5_kxmlguidir}/calligraplan/
%{_kf5_kxmlguidir}/calligraplanwork/

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%changelog
* Wed Mar 28 2018 wbauer@tmo.at
- Drop _constraints, this was taken over from calligra but
  shouldn't be necessary to build plan alone...
* Thu Mar 22 2018 wbauer@tmo.at
- Conflict with calligra < 3.1.0, some icons were part of the main
  calligra package previously
* Tue Mar 20 2018 wbauer@tmo.at
- Add 0001-Plan-fix-build-with-Qt-5.6.patch to fix build on Leap 42
* Sat Jan 27 2018 wbauer@tmo.at
- Initial package of version 3.1.0, plan is released separately
  from calligra now
- Changes since 3.0.1 (where it was still part of calligra):
  * Add dialog to be able to edit multiple tasks at once
    (kde#310937)
  * Provide expand all/collapse all in context menu (kde#313606)
    Expands/collapses selected item(s) and all children
    Retains the treeviews expanded rows across operations
  * Printing: Make changes to page layout persistent (kde#385084)
  * Open Document Text format report generator added
    Adds the abillity to generate reports in odt format directly.
    Reports can be viewed using an odt viewer like Calligra Words
    or LibreOffice Writer
    Report templates are also in odt format and can be designed
    using e.g Words or Writer
  * Add support for sharing resources in multiple projects
  * Improved context help and documentation
  * Add support for automatic holidays generation
  * Calendar view: Handle context menus with no calendar
  * Replace the file centric startup page with page more suitable
    for projects
  * Add editing and reloading of task modules.
  * Gantt view: Fix possible crash when deleting gantt view with
    large projects
  * Gantt view: Fix issue with task dependencies not cleared in
    certain situations
  * Fix undo/redo issue with modifying project target times
  * Fix potential crash in Cost Breakdown View
  * Fix potential crash when creating new project from current
    project
  * Fix performance issue in chart view
  Note:
  * Support for scripting is discontinued
  * Reports using KReport is not supported in this release
